# This Makefile builds the C KQML ANS
# 
# $Log: Makefile,v $
# Revision 1.1  1993/01/25  13:21:30  fritzson
# Initial revision
#
#

#KQML_HOME	= 	../..

KQML_BIN	= ${KQML_ARCH}/bin
KQML_INCLUDE	= -I${KQML_HOME}/include -I$(KQML_ARCH)/include
KQML_LIB	= ${KQML_ARCH}/lib

VPATH = $(KQML_HOME)/src/ans

# Gnu
CC	= /usr/local/bin/gcc

#CFLAGS = -O -Wall ${INCLUDES}
CFLAGS = -g -DDEBUG -Wall ${INCLUDES}
LDFLAGS = ${LIBDIRS}

INCLUDES = -I. ${KQML_INCLUDE}
LDFLAGS = -L${KQML_LIB} -L/usr/local/lib

STDLIBS	= -lsocket -lnsl -lm -lc
LOADLIBES = -lkqml ${STDLIBS}

INSTALL	= /usr/sbin/install -m 0755

SOURCES	= ans.c
OBJECTS	= ans.o

PROGRAMS = ans

all: ${PROGRAMS}

ans: ${OBJECTS} ${KQML_LIB}/libkqml.a
	${CC} ${CFLAGS} ${LDFLAGS} -o ans $(OBJECTS) ${LOADLIBES}

install: all
	${INSTALL} -f ${KQML_BIN} ans


clean:
	/bin/rm -f ${PROGRAMS} *.h *.o *~ *.BAK

.PHONY : clean
